Subject: Re: [MBONED] Fwd: Re: [pim] PIM recharter

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 11 Mar 2015 11:54:08 -0500

Hi all,

 I was surprised to see what Tom Pusateri asked included in the new PIM charter.

In the past also I was against similar charter items in PIM.

I think that PIM work which strictly belongs to the routing area
because PIM is used in core network should not include IGMP/MLD work.

IGMP/MLD is used in edge networks, these protocols have very different
nature than PIM.

Putting the two in the same WG seems to be an indication that we don't
know what to do with IGMP/MLD after magma was closed.

In the past, we in Multicast Mobility (Multimob) WG volunteered to do
IGMP/MLD update work and I think Multimob was the right place but PIM
charter item always hindered any work standard track work on IGMP/MLD
in Multimob. I had conveyed my concerns to Adrian in the past and we
had a few offlist emails exchanged on this but I could not convince
Adrian.

Now I see the proposal is about 802.11, isn't it mobility related?

Regards,

Behcet

On Tue, Feb 24, 2015 at 8:36 AM, joel jaeggli <[email-masked]> wrote:
>
> Going on over in PIM
>
> -------- Forwarded Message --------
> Subject: Re: [pim] PIM recharter
> Date: Mon, 23 Feb 2015 18:24:44 -0500
> From: Tom Pusateri <[email-masked]>
> To: Alia Atlas <[email-masked]>
> CC: [email-masked], joel jaeggli <[email-masked]>, Brian Haberman
> <[email-masked]>, Deborah Brungard ([email-masked])
> <[email-masked]>
>
> IP Multicast over 802.11 is inefficient and unreliable. I would like to
> see at least one of the multicast working groups in the IETF have a
> chartered item to work with the IEEE coordinating a solution to this
> mess. Or at least a coordinated effort to state our dis-satisfaction
> with the current mess and make a formal request to provide high
> bandwidth, efficient multicast over 802.11 without sending unicast
> copies to each group member. After all, it is a radio and it is being
> broadcast…
>
> Tom
>
>> On Feb 23, 2015, at 3:41 PM, Alia Atlas <[email-masked]> wrote:
>>
>> Hi PIM WG,
>>
>> I have discussed what a new charter for PIM should look like with the WG chairs.  I did consider working on changing the name or possibly merging with MBONED, but have decided against either of these at this time.  For the latter, I heard a strong preference from several for a protocols group and an operations group.  I did hear some support for merging as well.
>>
>> This is the basic charter that I'd like to submit for internal review on March 5.  Please send comments to the list this week.
>>
>> ===============
>> The PIM working group, so named because its scope was initially only
>> Protocol Independent Multicast (PIM), is chartered to work on multiple
>> multicast protocols.  The Working Group is responsible for the
>> maintenance of PIM, IGMP, and MLD.
>>
>> The Working Group will work on the following specific items:
>>
>> 1) Management for PIM:  YANG models for PIM, IGMP, and MLD will be
>>    developed.  If updates to existing MIB modules are necessary, the
>>    WG may work on those.
>>
>> 2) Reliable PIM:  The WG will develop mechanisms to improve the reliability
>>    of PIM signaling.
>>
>> 3) Improve PIM authentication: The WG will work on improvements to PIM
>>    authentication.
>>
>> 4) Improve and Extend PIM Join Attributes to support different types
>>    of multicast applications.
>>
>> 5) Optimization approaches for IGMP and MLD to adapt to link
>>    conditions in wireless and mobile networks and be more robust to
>>    packet loss.
>>
>> Additional work items may be added with a recharter.
>>
>> The WG should discuss and develop new ideas related to multicast
>> protocols and distributing of multicast-related information.  The WG must
>> be explicitly rechartered to adopt any.
>>
>> The WG should investigate any extensions needed to support BIER and
>> BIER interworking.  If additional work is required, then the WG may be
>> rechartered to accomplish the specific extensions.
>>
>> The WG is expected to use its extensive multicast knowledge to
>> actively review and participate in WG Last Calls with multicast work
>> that occurs in other WGs, such as MPLS, BESS, ROLL, and BIER.
>> ============
>>
>>
>> Thanks,
>> Alia
>> _______________________________________________
>> pim mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/pim
>
>
>
>
>
>
> _______________________________________________
> MBONED mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mboned
>